package com.koobietech.eas.service;

import javax.servlet.http.HttpServletResponse;

public interface EasArchiveFileDownloadService {
    String getArchiveToken(String archiveId);

    String getArchiveDownloadToken(String archiveNumber, String filePath);

    String getFilePathByToken(String archiveToken);

    boolean downloadFileByToken(String archiveToken, HttpServletResponse response);

    boolean validateArchiveNumberByUser(String archiveNumber, String studentNumber);
}
